# Responsive ReactJS multi step form component

## Instructions

To install this module run:
```sh
npm install react-multistep
```
next, require it inside of your app:
```sh
var Wizard = require('react-wizard-component')
```
Parent component with three public methods to navigate the steps:

```js
WizardRef.next()  // goes to the next step
WizardRef.back()  // goes to the previous step
WizardRef.skip()  // jumps to the desired step
```

Supports a validation callback
```js
WizardRef.next()  // goes to the next step
WizardRef.back()  // goes to the previous step
WizardRef.skip()  // jumps to the desired step
```

To build included example:
```sh
npm run build
```
Now open ./example/index.html in your favorite browser
