'use strict'
const React = require('react')
const Multistep = require('../../index').Multistep
const StepOne = require('./signup/stepone')
const StepTwo = require('./signup/steptwo')
const StepThree = require('./signup/stepthree')
const StepFour = require('./signup/stepfour')

const App = React.createClass({
    test(done) {
        done(true)
    },
    next(done) {
        this.refs.wizard.next()
    },
    back(done) {
        this.refs.wizard.back()
    },
    progressChange(status) {
        console.log(status)
    },
    render() {
        return (
          <div className="container">
            <div>
                <Multistep ref="wizard" progressChange={this.progressChange}>
                    <StepOne name="Step 1"/>
                    <StepTwo name="Step 2"/>
                    <StepThree name="Step 3"/>
                    <StepFour name="Step 4"/>
                </Multistep>
            </div>
            <div className="container app-footer">
                <button onClick={this.back}>Previous</button>
                <button onClick={this.next}>Next</button>

              <h6>Press 'Enter' or click on progress bar for next step.</h6>
               Code is on <a href="https://github.com/Srdjan/react-multistep" target="_blank">github</a>
            </div>
          </div>
        )
    }
})

React.render(<App/>, document.body)
